org.keycloak.freemarker

## Class ExtendingThemeManager.ExtendingTheme

- java.lang.Object
- - org.keycloak.freemarker.ExtendingThemeManager.ExtendingTheme

- All Implemented Interfaces:
    Theme
  Enclosing class:
    ExtendingThemeManager

      public static class ExtendingThemeManager.ExtendingTheme
      extends Object
      implements Theme

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.freemarker.Theme

      `Theme.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendingThemeManager.ExtendingTheme(List<Theme> themes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getImportName()`
    `Properties` | `getMessages()`
    `String` | `getName()`
    `String` | `getParentName()`
    `Properties` | `getProperties()`
    `URL` | `getResource(String path)`
    `InputStream` | `getResourceAsStream(String path)`
    `URL` | `getTemplate(String name)`
    `InputStream` | `getTemplateAsStream(String name)`
    `Theme.Type` | `getType()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtendingThemeManager.ExtendingTheme

          public ExtendingThemeManager.ExtendingTheme(List<Theme> themes)

  - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `Theme`

    - #### getParentName

          public String getParentName()

      Specified by:
        `getParentName` in interface `Theme`

    - #### getImportName

          public String getImportName()

      Specified by:
        `getImportName` in interface `Theme`

    - #### getType

          public Theme.Type getType()

      Specified by:
        `getType` in interface `Theme`

    - #### getTemplate

          public URL getTemplate(String name)
                          throws IOException

      Specified by:
        `getTemplate` in interface `Theme`
      Throws:
        `IOException`

    - #### getTemplateAsStream

          public InputStream getTemplateAsStream(String name)
                                          throws IOException

      Specified by:
        `getTemplateAsStream` in interface `Theme`
      Throws:
        `IOException`

    - #### getResource

          public URL getResource(String path)
                          throws IOException

      Specified by:
        `getResource` in interface `Theme`
      Throws:
        `IOException`

    - #### getResourceAsStream

          public InputStream getResourceAsStream(String path)
                                          throws IOException

      Specified by:
        `getResourceAsStream` in interface `Theme`
      Throws:
        `IOException`

    - #### getMessages

          public Properties getMessages()
                                 throws IOException

      Specified by:
        `getMessages` in interface `Theme`
      Throws:
        `IOException`

    - #### getProperties

          public Properties getProperties()
                                   throws IOException

      Specified by:
        `getProperties` in interface `Theme`
      Throws:
        `IOException`

Copyright © 2015. All Rights Reserved.